

import java.util.ArrayList;
import java.util.List;

public class Term {
	
	//Single variable equation only for now 
	//(all terms use the same variable)
	public List<Sym> syms = new ArrayList<Sym>();
	
	public Term() {
		this.syms = new ArrayList<Sym>();
	}
	
	public static Term newTerm() {
		return new Term();
	}
	
	public Term(String symbol) {
		this(new Sym(symbol));
	}
	
	public Term(Sym sym) {
		this();
		syms.add(sym);
	}
	
	public boolean hasSym(Sym x) {
		return syms.contains(x);
	}
	
	public void addSym(Sym x) {
		if (syms == null)
			syms = new ArrayList<Sym>();
		if(!syms.contains(x))
			syms.add(x);
	}
	
	public void removeSym(Sym x) {
		if (syms == null)
			syms = new ArrayList<Sym>();
		else
			syms.remove(x);
	}

}
